# QLine Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QLine()
- void QLine(QPoint pt1, QPoint pt2)
- void QLine(int x1, int y1, int x2, int y2)

### Constructor Properties

- prototype: The QLine prototype object

### Prototype Object Properties

- int dx()
- int dy()
- bool isNull()
- bool operator_equal(QLine d)
- QPoint p1()
- QPoint p2()
- void readFrom(QDataStream arg__1)
- void setLine(int x1, int y1, int x2, int y2)
- void setP1(QPoint p1)
- void setP2(QPoint p2)
- void setPoints(QPoint p1, QPoint p2)
- void translate(QPoint p)
- QLine translated(QPoint p)
- void writeTo(QDataStream arg__1)
- int x1()
- int x2()
- int y1()
- int y2()

### Instance Properties

QLine objects have no special properties beyond those inherited from the QLine prototype object.